# XSIDCDefinition Class Reference

Inheritance diagram for XSIDCDefinition:

List of all members.

## Public Types

enum | IC_CATEGORY { IC_KEY = 1, IC_KEYREF = 2, IC_UNIQUE = 3 }

## Public Member Functions

Constructors
| XSIDCDefinition (IdentityConstraint *const identityConstraint, XSIDCDefinition *const keyIC, XSAnnotation *const headAnnot, StringList *const stringList, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSIDCDefinition ()
overridden XSXSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
XSIDCDefinition methods
IC_CATEGORY | getCategory () const
| [identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE.
const XMLCh * | getSelectorStr ()
| [selector]: a restricted XPath expression.
StringList * | getFieldStrs ()
| [fields]: a non-empty list of restricted XPath ([XPath]) expressions.
XSIDCDefinition * | getRefKey () const
| [referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE).
XSAnnotationList * | getAnnotations ()
| A set of [annotations].

## Protected Attributes

IdentityConstraint * | fIdentityConstraint
XSIDCDefinition * | fKey
StringList * | fStringList
XSAnnotationList * | fXSAnnotationList

## Member Enumeration Documentation

enum XSIDCDefinition::IC_CATEGORY

Enumerator:

  IC_KEY |
  IC_KEYREF |
  IC_UNIQUE |

## Constructor & Destructor Documentation

XSIDCDefinition::XSIDCDefinition | ( | IdentityConstraint *const | identityConstraint,
|  | XSIDCDefinition *const | keyIC,
|  | XSAnnotation *const | headAnnot,
|  | StringList *const | stringList,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | identityConstraint |
  | keyIC |
  | headAnnot |
  | stringList |
  | xsModel |
  | manager | The configurable memory manager

XSIDCDefinition::~XSIDCDefinition | ( |  | ) |

## Member Function Documentation

const XMLCh* XSIDCDefinition::getName | ( |  | ) | const`[virtual]`

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

const XMLCh* XSIDCDefinition::getNamespace | ( |  | ) | `[virtual]`

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

XSNamespaceItem* XSIDCDefinition::getNamespaceItem | ( |  | ) | `[virtual]`

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

IC_CATEGORY XSIDCDefinition::getCategory | ( |  | ) | const

[identity-constraint category]: one of IC_KEY, IC_KEYREF or IC_UNIQUE.

const XMLCh* XSIDCDefinition::getSelectorStr | ( |  | ) |

[selector]: a restricted XPath expression.

StringList * XSIDCDefinition::getFieldStrs | ( |  | ) |

[fields]: a non-empty list of restricted XPath ([XPath]) expressions.

References fStringList.

XSIDCDefinition * XSIDCDefinition::getRefKey | ( |  | ) | const

[referenced key]: required if [identity-constraint category] is IC_KEYREF, forbidden otherwise (when an identity-constraint definition with [ identity-constraint category] equal to IC_KEY or IC_UNIQUE).

References fKey.

XSAnnotationList* XSIDCDefinition::getAnnotations | ( |  | ) |

A set of [annotations].

## Member Data Documentation

IdentityConstraint* XSIDCDefinition::fIdentityConstraint`[protected]`

XSIDCDefinition* XSIDCDefinition::fKey`[protected]`

Referenced by getRefKey().

StringList* XSIDCDefinition::fStringList`[protected]`

Referenced by getFieldStrs().

XSAnnotationList* XSIDCDefinition::fXSAnnotationList`[protected]`

The documentation for this class was generated from the following file:

- XSIDCDefinition.hpp